Altibase.jdbc.driver.cm

## Class CmProtocolContextShardStmt

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmProtocolContext
  - - Altibase.jdbc.driver.cm.CmProtocolContextShardStmt

    public class CmProtocolContextShardStmt
    extends CmProtocolContext

### Constructor Summary

Constructors
Constructor and Description
`CmProtocolContextShardStmt(AltibaseShardingConnection aMetaConn, AltibaseStatement aStmt)`
`CmProtocolContextShardStmt(AltibaseShardingConnection aMetaConn, AltibaseStatement aStmt, CmPrepareResult aPrepareResult)`

### Method Summary

All Methods Instance Methods Concrete Methods
`CmShardAnalyzeResult` `getShardAnalyzeResult()`
`CmProtocolContextShardConnect` `getShardContextConnect()`
`CmPrepareResult` `getShardPrepareResult()`
`ShardTransactionLevel` `getShardTransactionLevel()`
`int` `getUpdateRowcount()`
`boolean` `isAutoCommitMode()`
`void` `setShardPrepareResult(CmPrepareResult aShardPrepareResult)`
`void` `setUpdateRowcount(int aUpdateRowcount)`

### Methods inherited from class Altibase.jdbc.driver.cm.CmProtocolContext

`addCmResult, addError, channel, clearCmResult, clearError, getCmResult, getError, setChannel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmProtocolContextShardStmt

    public CmProtocolContextShardStmt(AltibaseShardingConnection aMetaConn,
                                      AltibaseStatement aStmt)

#### CmProtocolContextShardStmt

    public CmProtocolContextShardStmt(AltibaseShardingConnection aMetaConn,
                                      AltibaseStatement aStmt,
                                      CmPrepareResult aPrepareResult)

### Method Detail

#### getShardAnalyzeResult

    public CmShardAnalyzeResult getShardAnalyzeResult()

#### getShardPrepareResult

    public CmPrepareResult getShardPrepareResult()

#### setShardPrepareResult

    public void setShardPrepareResult(CmPrepareResult aShardPrepareResult)

#### getShardContextConnect

    public CmProtocolContextShardConnect getShardContextConnect()

#### getShardTransactionLevel

    public ShardTransactionLevel getShardTransactionLevel()

#### isAutoCommitMode

    public boolean isAutoCommitMode()

#### getUpdateRowcount

    public int getUpdateRowcount()

#### setUpdateRowcount

    public void setUpdateRowcount(int aUpdateRowcount)